App\ContactBundle\Entity\MessageError:
  type: entity
  repositoryClass: App\ContactBundle\Repository\MessageErrorRepository
  table: contact_message_error
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    text:
      type: text
    created_at:
      type: datetime
  manyToOne:
    message_recipient:
      targetEntity: MessageRecipient
      joinColumn:
        name: message_recipient_id
        referencedColumnName: id
      inversedBy: message_error
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue ]